package cn.com.poc.knowledge.dto;


public class BizKnowledgeInfoDto {

    /**
     * id
     */
    private java.lang.Integer id;

    public java.lang.Integer getId() {
        return this.id;
    }

    public void setId(java.lang.Integer id) {
        this.id = id;
    }

    /**
     * knowledge_name
     * 知识库名字
     */
    private java.lang.String knowledgeName;

    public java.lang.String getKnowledgeName() {
        return this.knowledgeName;
    }

    public void setKnowledgeName(java.lang.String knowledgeName) {
        this.knowledgeName = knowledgeName;
    }


    /**
     * knowledge_type
     * 知识库类型 Base-基础  QA-问答
     */
    private String knowledgeType;

    public String getKnowledgeType() {
        return this.knowledgeType;
    }

    public void setKnowledgeType(String knowledgeType) {
        this.knowledgeType = knowledgeType;
    }

    /**
     * member_id
     * 用户ID
     */
    private java.lang.String memberId;

    public java.lang.String getMemberId() {
        return this.memberId;
    }

    public void setMemberId(java.lang.String memberId) {
        this.memberId = memberId;
    }

    /**
     * kd_ids
     * 关联的文件ID
     */
    private java.lang.String kdIds;

    public java.lang.String getKdIds() {
        return this.kdIds;
    }

    public void setKdIds(java.lang.String kdIds) {
        this.kdIds = kdIds;
    }

    /**
     * train_status
     * 状态：未执行-Unopened、 排队-Line 、训练中-Training、 完成-Complete、失败-Fail
     */
    private java.lang.String trainStatus;

    public java.lang.String getTrainStatus() {
        return this.trainStatus;
    }

    public void setTrainStatus(java.lang.String trainStatus) {
        this.trainStatus = trainStatus;
    }

    /**
     * desc
     */
    private java.lang.String desc;

    public java.lang.String getDesc() {
        return this.desc;
    }

    public void setDesc(java.lang.String desc) {
        this.desc = desc;
    }

    /**
     * isOpen
     */
    private java.lang.String isOpen;

    public String getIsOpen() {
        return isOpen;
    }

    public void setIsOpen(String isOpen) {
        this.isOpen = isOpen;
    }

    /**
     * createdTime
     * createdTime
     */
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
    }

}